% Test matlab image drawing speed.

m = 256 * rand(100);
n = 100;

clf
h = image( m );
set( gcf, 'backingstore', 'off', 'menubar', 'none' );
set( h, 'erasemode', 'none', 'clipping', 'off' );
axis off
pause;
t0 = clock;
for i = 1:n
  m = 256 * rand(100);
  set( h, 'cdata', m );
  drawnow
end
exeTime = etime( clock, t0 )
fps = n / exeTime