% Test line scaling code.

line0 = 1:64;

l0 = length( line0 );
lmin = 1;
lmax = 320;

map = create_scale_map_range( l0, lmin, lmax );

m = zeros( size( map ) );

for l = lmin : lmax
  line = scale_line( line0, map(l-lmin+1,1:l) );
  m(l-lmin+1,1:l) = line;
end

image( m );
