% function [map] = create_scale_map_range( l0, l1_min, l1_max )
% input:
%   l0 [pixel] .. original length
%   l1_min, l1_max [pixel] .. desired lengths' limits
% output
%   map(l1_min:l1_max,1:l1_max) .. pixel offsets in original
function [map] = create_scale_map_range( l0, l1_min, l1_max )
  
  map = zeros(l1_max-l1_min+1,l1_max);
  for l = l1_min : l1_max
    tmp = create_scale_map( l0, l );
    map(l-l1_min+1,1:l) = tmp;
  end